org.apache.hadoop.security.alias

## Class CredentialShell.PasswordReader

- java.lang.Object
- - org.apache.hadoop.security.alias.CredentialShell.PasswordReader

- Enclosing class:
    CredentialShell

      public static class CredentialShell.PasswordReader
      extends Object

  To facilitate testing since Console is a final class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `format(String message)`
    `char[]` | `readPassword(String prompt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordReader

          public PasswordReader()

  - ### Method Detail

    - #### readPassword

          public char[] readPassword(String prompt)

    - #### format

          public void format(String message)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.